"use strict";
var uni_modules_wotDesignUni_components_common_props = require("../common/props.js");
const TABBAR_KEY = Symbol("wd-tabbar");
const tabbarProps = {
  ...uni_modules_wotDesignUni_components_common_props.baseProps,
  modelValue: uni_modules_wotDesignUni_components_common_props.makeNumericProp(0),
  fixed: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  bordered: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(true),
  safeAreaInsetBottom: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  shape: uni_modules_wotDesignUni_components_common_props.makeStringProp("default"),
  activeColor: String,
  inactiveColor: String,
  placeholder: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  zIndex: uni_modules_wotDesignUni_components_common_props.makeNumberProp(99)
};
exports.TABBAR_KEY = TABBAR_KEY;
exports.tabbarProps = tabbarProps;
